Bug 1036254 - Review Request: hamster-time-tracker - The Linux time tracker
Summary: Review Request: hamster-time-tracker - The Linux time tracker
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-30 06:27 UTC by Ankur Sinha (FranciscoD)
Modified: 2015-03-30 19:59 UTC (History)
1 user (show)

Fixed In Version: hamster-time-tracker-1.03.3-6.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-14 03:35:42 UTC
anto.trande: fedora-review+
puiterwijk: fedora-cvs+


Attachments (Terms of Use)

Description Ankur Sinha (FranciscoD) 2013-11-30 06:27:54 UTC
Spec URL: http://ankursinha.fedorapeople.org/hamster-time-tracker/hamster-time-tracker.spec
SRPM URL: http://ankursinha.fedorapeople.org/hamster-time-tracker/hamster-time-tracker-1.03.3-1.fc20.src.rpm

Description: 
Project Hamster is time tracking for individuals. It helps you to keep track on
how much time you have spent during the day on activities you choose to track. 

Whenever you change from doing one task to other, you change your current
activity in Hamster. After a while you can see how many hours you have spent on
what. Maybe print it out, or export to some suitable format, if time reporting
is a request of your employee. 


Fedora Account System Username: ankursinha

rpmlint output:
[asinha@ankur-laptop  SRPMS]$ rpmlint ../SPECS/hamster-time-tracker.spec ./hamster-time-tracker-1.03.3-1.fc20.src.rpm /var/lib/mock/fedora-20-x86_64/result/*.rpm
../SPECS/hamster-time-tracker.spec:8: W: macro-in-comment %{name}
../SPECS/hamster-time-tracker.spec:8: W: macro-in-comment %{version}
../SPECS/hamster-time-tracker.spec: W: invalid-url Source0: hamster-hamster-time-tracker-1.03.3.tar.gz
hamster-time-tracker.src:8: W: macro-in-comment %{name}
hamster-time-tracker.src:8: W: macro-in-comment %{version}
hamster-time-tracker.src: W: invalid-url Source0: hamster-hamster-time-tracker-1.03.3.tar.gz
hamster-time-tracker.noarch: W: non-conffile-in-etc /etc/gconf/schemas/hamster-time-tracker.schemas
hamster-time-tracker.noarch: W: non-conffile-in-etc /etc/bash_completion.d/hamster.bash
hamster-time-tracker.noarch: W: no-manual-page-for-binary hamster-service
hamster-time-tracker.noarch: W: no-manual-page-for-binary hamster
hamster-time-tracker.noarch: W: no-manual-page-for-binary hamster-windows-service
hamster-time-tracker.noarch: W: dangerous-command-in-%pre rm
hamster-time-tracker.noarch: W: dangerous-command-in-%post rm
hamster-time-tracker.src:8: W: macro-in-comment %{name}
hamster-time-tracker.src:8: W: macro-in-comment %{version}
hamster-time-tracker.src: W: invalid-url Source0: hamster-hamster-time-tracker-1.03.3.tar.gz
3 packages and 1 specfiles checked; 0 errors, 16 warnings.

Comment 1 Antonio 2013-11-30 14:09:34 UTC
- The '/usr/share/appdata' and '/usr/share/gnome/help' directories are not owned.
They are co-owned by some "no-core" packages. I think both directories can be
owned even by this package.   

- 'non-conffile-in-etc' warnings should be fixed

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- GConf schemas are properly installed
  Note: gconf file(s) in hamster-time-tracker
  See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GConf
- Package contains BR: python2-devel or python3-devel


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v3 or later)", "Unknown or generated". 36 files have unknown
     license. Detailed output of licensecheck in /home/sagitter/1036254
     -hamster-time-tracker/licensecheck.txt
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/appdata,
     /usr/share/gnome/help
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[-]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in hamster-time-tracker
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or desktop-
     file-validate if there is such a file.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: hamster-time-tracker-1.03.3-1.fc21.noarch.rpm
          hamster-time-tracker-1.03.3-1.fc21.src.rpm
hamster-time-tracker.noarch: W: non-conffile-in-etc /etc/gconf/schemas/hamster-time-tracker.schemas
hamster-time-tracker.noarch: W: non-conffile-in-etc /etc/bash_completion.d/hamster.bash
hamster-time-tracker.noarch: W: no-manual-page-for-binary hamster-service
hamster-time-tracker.noarch: W: no-manual-page-for-binary hamster
hamster-time-tracker.noarch: W: no-manual-page-for-binary hamster-windows-service
hamster-time-tracker.noarch: W: dangerous-command-in-%pre rm
hamster-time-tracker.noarch: W: dangerous-command-in-%post rm
hamster-time-tracker.src:8: W: macro-in-comment %{name}
hamster-time-tracker.src:8: W: macro-in-comment %{version}
hamster-time-tracker.src: W: invalid-url Source0: hamster-hamster-time-tracker-1.03.3.tar.gz
2 packages and 0 specfiles checked; 0 errors, 10 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint hamster-time-tracker
hamster-time-tracker.noarch: W: non-conffile-in-etc /etc/gconf/schemas/hamster-time-tracker.schemas
hamster-time-tracker.noarch: W: non-conffile-in-etc /etc/bash_completion.d/hamster.bash
hamster-time-tracker.noarch: W: no-manual-page-for-binary hamster-service
hamster-time-tracker.noarch: W: no-manual-page-for-binary hamster
hamster-time-tracker.noarch: W: no-manual-page-for-binary hamster-windows-service
hamster-time-tracker.noarch: W: dangerous-command-in-%pre rm
hamster-time-tracker.noarch: W: dangerous-command-in-%post rm
1 packages and 0 specfiles checked; 0 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
hamster-time-tracker (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/env
    /usr/bin/python
    GConf2
    bash-completion
    dbus
    hicolor-icon-theme
    python(abi)



Provides
--------
hamster-time-tracker:
    application()
    application(hamster-time-tracker-overview.desktop)
    application(hamster-time-tracker.desktop)
    application(hamster-windows-service.desktop)
    hamster-time-tracker



Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -b 1036254
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG

Comment 2 Ankur Sinha (FranciscoD) 2013-12-01 02:38:37 UTC
Hi Antonio,

Thank you for the review!

(In reply to Antonio Trande from comment #1)
> - The '/usr/share/appdata' and '/usr/share/gnome/help' directories are not
> owned.
> They are co-owned by some "no-core" packages. I think both directories can be
> owned even by this package.   

I'll update this. 

I can't find what package owns /usr/share/gnome/help at all:

[asinha@ankur-laptop  ~]$ rpm -qf /usr/share/gnome/help/
file /usr/share/gnome/help is not owned by any package

Each package owns it's directory, but no one owns this? Probably a packaging bug somewhere. 

> 
> - 'non-conffile-in-etc' warnings should be fixed

I'll look into this. The gconf schema doesn't need to be marked as %config from the looks of it since they aren't configuration files that a user can manually edit.

Same for the bash completion directiory. It isn't marked as a config directory:
http://pkgs.fedoraproject.org/cgit/bash-completion.git/tree/bash-completion.spec


> 
><snip>
> 
> Issues:
> =======
> - GConf schemas are properly installed
>   Note: gconf file(s) in hamster-time-tracker
>   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GConf

^ Are they properly installed, or improperly installed? I mean, is the way I've handled it wrong? I did get all those scriptlets from the wiki page itself. 

> - Package contains BR: python2-devel or python3-devel

The package doesn't contain this. Does this need to be added?

Comment 3 Antonio 2013-12-01 12:58:00 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #2)
> Hi Antonio,
> 
> Thank you for the review!

Hi Ankur. 

> 
> (In reply to Antonio Trande from comment #1)
> > - The '/usr/share/appdata' and '/usr/share/gnome/help' directories are not
> > owned.
> > They are co-owned by some "no-core" packages. I think both directories can be
> > owned even by this package.   
> 
> I'll update this. 
> 
> I can't find what package owns /usr/share/gnome/help at all:
> 
> [asinha@ankur-laptop  ~]$ rpm -qf /usr/share/gnome/help/
> file /usr/share/gnome/help is not owned by any package
> 
> Each package owns it's directory, but no one owns this? Probably a packaging
> bug somewhere. 

Probably because those packages are not installed on your Fedora.
Try  "repoquery -f /usr/share/gnome/help" or "yum provides /usr/share/gnome/help".

Please, see http://fedoraproject.org/wiki/Packaging:Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your_package_to_function

> 
> > 
> > - 'non-conffile-in-etc' warnings should be fixed
> 
> I'll look into this. The gconf schema doesn't need to be marked as %config
> from the looks of it since they aren't configuration files that a user can
> manually edit.
> 
> Same for the bash completion directory. It isn't marked as a config
> directory:
> http://pkgs.fedoraproject.org/cgit/bash-completion.git/tree/bash-completion.
> spec

It's marked here: http://pkgs.fedoraproject.org/cgit/gnome-do.git/tree/gnome-do.spec 
:)

> 
> > 
> ><snip>
> > 
> > Issues:
> > =======
> > - GConf schemas are properly installed
> >   Note: gconf file(s) in hamster-time-tracker
> >   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GConf
> 
> ^ Are they properly installed, or improperly installed? I mean, is the way
> I've handled it wrong? I did get all those scriptlets from the wiki page
> itself. 

They are properly installed although guide-lines say 
 "For packaging purposes, we have to disable schema installation during build, ..." and this happens during './waf install ..' tasks.
However, I don't know for particular guide-lines of "waf" and it's necessary ask in devel ML. 

> 
> > - Package contains BR: python2-devel or python3-devel
> 
> The package doesn't contain this. Does this need to be added?

Oh, yes. Sorry, I had not noted.

Comment 4 Ankur Sinha (FranciscoD) 2013-12-02 01:11:12 UTC
Hi Antonio,

(In reply to Antonio Trande from comment #3)
> 
> > 
> > (In reply to Antonio Trande from comment #1)
> > > - The '/usr/share/appdata' and '/usr/share/gnome/help' directories are not
> > > owned.
> > > They are co-owned by some "no-core" packages. I think both directories can be
> > > owned even by this package.   
> > 
> > I'll update this. 
> > 
> > I can't find what package owns /usr/share/gnome/help at all:
> > 
> > [asinha@ankur-laptop  ~]$ rpm -qf /usr/share/gnome/help/
> > file /usr/share/gnome/help is not owned by any package
> > 
> > Each package owns it's directory, but no one owns this? Probably a packaging
> > bug somewhere. 
> 
> Probably because those packages are not installed on your Fedora.
> Try  "repoquery -f /usr/share/gnome/help" or "yum provides
> /usr/share/gnome/help".
> 
> Please, see
> http://fedoraproject.org/wiki/Packaging:
> Guidelines#The_directory_is_owned_by_a_package_which_is_not_required_for_your
> _package_to_function

Corrected. I've also made the package own /etc/bash_completion.d/ since it's the same case. 

> 
> > 
> > > 
> > > - 'non-conffile-in-etc' warnings should be fixed
> > 
> > I'll look into this. The gconf schema doesn't need to be marked as %config
> > from the looks of it since they aren't configuration files that a user can
> > manually edit.
> > 
> > Same for the bash completion directory. It isn't marked as a config
> > directory:
> > http://pkgs.fedoraproject.org/cgit/bash-completion.git/tree/bash-completion.
> > spec
> 
> It's marked here:
> http://pkgs.fedoraproject.org/cgit/gnome-do.git/tree/gnome-do.spec 
> :)

Erm, are you referring to the schema file here? gnome-do doesn't have any bash completion. 

I've mailed the packaging SIG asking whether both bash_completion and schema files need to be marked as %config. I'll update the spec accordingly.

> 
> > 
> > > 
> > ><snip>
> > > 
> > > Issues:
> > > =======
> > > - GConf schemas are properly installed
> > >   Note: gconf file(s) in hamster-time-tracker
> > >   See: http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#GConf
> > 
> > ^ Are they properly installed, or improperly installed? I mean, is the way
> > I've handled it wrong? I did get all those scriptlets from the wiki page
> > itself. 
> 
> They are properly installed although guide-lines say 
>  "For packaging purposes, we have to disable schema installation during
> build, ..." and this happens during './waf install ..' tasks.
> However, I don't know for particular guide-lines of "waf" and it's necessary
> ask in devel ML. 

I've asked the packaing SIG this too. It's unclear if this means place the file but not register, or not place the file at all. Currently the spec places the file but doesn't register it (Patch0). I've figured out how to stop it from even placing the file, but then I don't understand how the file will be placed in /etc/gconf/schemas (Do I have to do it manually?). I checked revelation, which lets the build system place the file, but doesn't register the schema with the gconf daemon. 

http://kojipkgs.fedoraproject.org//packages/revelation/0.4.14/5.fc20/data/logs/x86_64/build.log

I'll wait for the packaging SIG to reply and update the spec accordingly here too.


> 
> > 
> > > - Package contains BR: python2-devel or python3-devel
> > 
> > The package doesn't contain this. Does this need to be added?
> 
> Oh, yes. Sorry, I had not noted.

Waf is a python based build system, but it doesn't seem to require python2-devel. Just python2 is enough, and it is pulled in anyway here. 

I'll update the spec as soon as I hear back from the packaging SIG. 

Thanks again,
Warm regards,
Ankur

Comment 5 Ankur Sinha (FranciscoD) 2013-12-02 03:52:14 UTC
Hi,

The packaging SIG confirms that neither bash_completion nor schema files need to be marked as config files. They also confirmed that the schema files will be placed by the build system, but the registration with gconf daemon is to be done via scriptlets, since it isn't possible during the build. 

Updated spec/srpm:
http://ankursinha.fedorapeople.org/hamster-time-tracker/hamster-time-tracker.spec
http://ankursinha.fedorapeople.org/hamster-time-tracker/hamster-time-tracker-1.03.3-2.fc20.src.rpm

Thanks,
Warm regards,
Ankur

Comment 6 Ankur Sinha (FranciscoD) 2013-12-02 03:59:59 UTC
(In reply to Ankur Sinha (FranciscoD) from comment #5)
> Hi,
> 
> The packaging SIG confirms that neither bash_completion nor schema files
> need to be marked as config files. They also confirmed that the schema files
> will be placed by the build system, but the registration with gconf daemon
> is to be done via scriptlets, since it isn't possible during the build. 
> 

Er, just being pedantic here: Packaging SIG = people on the packaging sig mailing list ;) 

(I didn't open a ticket for this. It was quite a simple query.)

Comment 7 Antonio 2013-12-02 15:16:51 UTC
Perfect. ;)

Package approved !

Comment 8 Ankur Sinha (FranciscoD) 2013-12-02 23:10:17 UTC
Thanks for the review Antonio,

New Package SCM Request
=======================
Package Name: hamster-time-tracker
Short Description: The Linux time tracker
Owners: ankursinha
Branches: f20 f19
InitialCC:

Comment 9 Gwyn Ciesla 2013-12-03 13:01:02 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2013-12-04 01:59:23 UTC
hamster-time-tracker-1.03.3-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/hamster-time-tracker-1.03.3-2.fc20

Comment 11 Fedora Update System 2013-12-05 00:42:18 UTC
hamster-time-tracker-1.03.3-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 12 Fedora Update System 2013-12-14 03:35:42 UTC
hamster-time-tracker-1.03.3-2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2013-12-29 18:23:24 UTC
hamster-time-tracker-1.03.3-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hamster-time-tracker-1.03.3-6.fc19

Comment 14 Fedora Update System 2014-01-08 07:51:40 UTC
hamster-time-tracker-1.03.3-6.fc19 has been pushed to the Fedora 19 stable repository.

Comment 15 Ankur Sinha (FranciscoD) 2015-03-30 10:17:26 UTC
Package Change Request
======================
Package Name: hamster-time-tracker
New Branches: el6 epel7
Owners: ankursinha raphgro
InitialCC: 

New branches for EL. See bug https://bugzilla.redhat.com/show_bug.cgi?id=1156632

Comment 16 Patrick Uiterwijk 2015-03-30 19:59:21 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.